メニュー一覧取得
GET
/menus
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/menus?type=normal&category_id=1&with_custom_order=none&limit=20&sort=sort_no&page=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/menus?type=normal&category_id=1&with_custom_order=none&limit=20&sort=sort_no&page=1' \ --header 'Authorization: Bearer <token>'メニュー一覧を取得します。
コースメニューは、コース区分が「標準コース」の場合のみ取得可能です。「簡易コース」はサポートしておりません。
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”type
string
[フィルタ]メニュー種別
all: 全てnormal: 単品plan: プランcourse: コース
Example
normalcategory_id
string
カテゴリーID
Example
1with_custom_order
string
お好みオーダー情報を含むかを指定します。
all: 全て含むnone: 含めない (キーcustomOrderを含めない)
Example
nonelimit
integer
取得件数
Example
20sort
string
ソート順
sort_no: ソート番号id: メニューIDname: メニュー名
Example
sort_nopage
integer
ページ番号
Example
1Responses
Section titled “Responses”OK
Media typeapplication/json
Array
Menuメニュー情報
object
id
required
メニューID
string
name
メニュー名
string
kana
メニュー名(カナ)
string
type
メニュー種別
normal:単品plan:プランcourse:コース
string
categoryId
カテゴリーID
string
note
メニュー説明
string
sortNo
ソート番号
integer
applyDatetime
適用開始日時[YYYY-MM-DDThh:mm:ssTZD]
string
timeLimit
メニューの制限時間設定(分)。
制限時間通知の判定に利用されます。
0 の場合は制限時間通知の対象外となります。
integer
preTimeLimitMinutesLeft
メニューの制限時間事前通知設定(分)。
制限時間事前通知の判定に利用されます。
0 の場合は事前通知の対象外となります。
integer
customId
お好みオーダーID
string
customOrder
クエリパラメーターに with_custom_order=all を指定した場合、レスポンスに含まれます。
object
customId
お好みオーダーID
string
customName
お好みオーダー名
string
contents
お好みオーダー内容
Array
object
customContentId
お好みオーダー内容ID
string
customContentName
お好みオーダー内容名
string
sortNo
ソート番号
integer
isOpenPrice
true:注文時に価格決定するfalse:設定価格で注文する
boolean
createdIn
作成元サービス
string
prices
Array
PriceSettingobject
taxRate
税率
number
taxType
税種別
normal:標準reduced:軽減none:非課税
string
amount
金額
string
tax
金額の税情報
include: 税込exclude: 税抜none: 非課税
※ 注文のリクエストボディで指定できる tax (金額の税情報)と単語が一致していませんのでご注意ください。
※ テーブル利用セクション、注文セクションのレスポンスに含まれる sellingPrice<NewOrderItemPrice> の tax (金額の税情報)と単語が一致していません。
string
primary
複数価格存在する場合の初期選択設定
true:初期選択値false:初期選択でない
boolean
Examples
[ { "id": "1", "name": "サラダ", "kana": "サラダ", "type": "normal", "categoryId": "3", "note": "", "sortNo": 1, "applyDatetime": null, "timeLimit": 0, "preTimeLimitMinutesLeft": 0, "customId": "1", "isOpenPrice": false, "createdIn": "waiter", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "690", "tax": "include", "primary": true } ] }, { "id": "2", "name": "スープ", "kana": "スープ", "type": "normal", "categoryId": "3", "note": "", "sortNo": 2, "applyDatetime": null, "timeLimit": 0, "preTimeLimitMinutesLeft": 0, "customId": null, "isOpenPrice": false, "createdIn": "waiter", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "490", "tax": "include", "primary": true } ] }][ { "id": "1", "name": "サラダ", "kana": "サラダ", "type": "normal", "categoryId": "3", "note": "", "sortNo": 1, "applyDatetime": null, "timeLimit": 0, "preTimeLimitMinutesLeft": 0, "customId": "1", "customOrder": { "customId": "1", "customName": "ドレッシング", "contents": [ { "customContentId": "2", "customContentName": "胡麻ドレッシング", "sortNo": 1 }, { "customContentId": "3", "customContentName": "和風ドレッシング", "sortNo": 2 }, { "customContentId": "5", "customContentName": "フレンチドレッシング", "sortNo": 3 } ] }, "isOpenPrice": false, "createdIn": "waiter", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "690", "tax": "include", "primary": true } ] }, { "id": "2", "name": "スープ", "kana": "スープ", "type": "normal", "categoryId": "3", "note": "", "sortNo": 2, "applyDatetime": null, "timeLimit": 0, "preTimeLimitMinutesLeft": 0, "customId": null, "customOrder": null, "isOpenPrice": false, "createdIn": "waiter", "prices": [ { "taxRate": 10, "taxType": "normal", "amount": "490", "tax": "include", "primary": true } ] }]Headers
Section titled “Headers”Link
string
<前のURI>; rel="prev", <次のURI>; rel="next"
Bad Request
- リクエストパラメーターが不正
- 不正な値が指定された場合
Media typeapplication/json
object
title
required
string
type
required
string
status
integer
detail
string
Examplegenerated
{ "title": "example", "type": "example", "status": 1, "detail": "example"}